@media (min-width: 960px) {
  .collection-list__theme-grid .collection-list__track {
    overflow: visible;
  }

  .collection-list__theme-carousel .collection-list__track {
    width: auto;
    padding-block: var(--row-gap);
    margin-block: calc(var(--row-gap) * -1);
    padding-inline: var(--page-gutter);
    margin-inline: calc(var(--page-gutter) * -1);
    scroll-padding-inline: var(--page-gutter);
  }

  .collection-list__theme-carousel .carousel-indicator__arrows {
    margin-block-start: var(--section-spacing);
  }

  .collection-list .block-heading~.collection-list__theme-carousel .carousel-indicator__arrows {
    position: absolute;
    inset-inline-end: 0;
    inset-block-end: calc(100% + var(--section-spacing, 0px) + var(--block-spacing, 0px));
    margin-block-start: 0;
  }

}

@media (min-width: 1920px) {
  .collection-list-section-v1 .page-width.page-width--narrow {
    max-width: 70vw;
  }
}

.collection-list-section-v1 .card-info-overflow-no .collection-card__info {
  inset-block-end: 0;
  inset-inline-start: unset;
}

.collection-list-section-v1 .card-info-overflow-no .collection-card__info .collection-card__title {
  width: 100%;
}

@media (min-width: 768px) {
  .collection-list-section-v1 .card-grid {
    --column-width: calc((100% - var(--column-gap, 0px) * (var(--gap-columns, var(--columns)) - 1)) / var(--columns));
    grid-template-columns: repeat(var(--columns), var(--column-width));
    grid-auto-flow: var(--auto-flow, dense);
  }

  .collection-list-section-v1 .desktop-hidden {
    display: none;
  }
}

@media (min-width: 640px) and (max-width: 1024px) {
  .collection-list-section-v1 .card-grid {
    --column-width: calc((100% - var(--column-gap, 0px) * (var(--tablet-columns) - 1)) / var(--tablet-columns));

    grid-template-columns: repeat(var(--tablet-columns), var(--column-width));
    grid-auto-flow: var(--auto-flow, dense);
    row-gap: 40px;
  }

  .collection-list-section-v1 .page-width .collection-list {
    max-width: var(--max-width, 100%);
    margin: 0 auto;
  }

}


@media (max-width: 767px) {
  .collection-list-section-v1 .mobile-hidden {
    display: none;
  }

  .collection-list-section-v1 .flex-irregular {
    display: flex;
    gap: 9px;
  }

  .collection-list-section-v1 .flex-irregular .left,
  .collection-list-section-v1 .flex-irregular .right {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 38px;
  }

  .collection-list-section-v1 .flex-irregular .right {
    padding-top: calc(35% + 38px);
    /* 整列下移 */
  }


}

@media (max-width: 959px) {
  .mobile\:collection-list__theme-carousel .collection-list__track {
    width: auto;
    padding-block: var(--row-gap);
    margin-block: calc(var(--row-gap) * -1);
    padding-inline: var(--page-gutter);
    margin-inline: calc(var(--page-gutter) * -1);
    scroll-padding-inline: var(--page-gutter);
  }
}